Subject: bug#59121: 29.0.50; Gnus: Nnir is deprecated but not mention in the manual

From: Robert Pluim <[email-masked]>
Date: Wed, 09 Nov 2022 11:42:05 +0100

>>>>> On Wed, 09 Nov 2022 07:29:12 +0200, Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Björn> Eric Abrahamsen <[email-masked]> writes:
    >>> While trying out how to search for emails in Gnus, I noticed that
    >>> nnir.el is deprecated but the manual (gnu.org/software/emacs/manual)
    >>> doesn't mention any of that.
    >>> I think the manual should mention that. I think such changes should be
    >>> documented right a way in general.
    >> 
    >> Do you mean that you recently upgraded Emacs, and got a deprecation
    >> warning for a nnir-* variable, but there's no information in the Gnus
    >> manual about migrating away from nnir?

    Björn> Not that recently since I'm running Emacs 29.x but the manual says it is
    Björn> deprecated since 28.x

    Björn> In any case the manual doesn't mention any other search engines and if I
    Björn> understand correctly nnir was the only one that supports imap search?

I donʼt know what backend itʼs using, but 'G G' with point on an
nnimap group in the *Group* buffer works fine in emacs-29 [1] (and I
donʼt *think* I had to configure anything for that to work).

Robert

Footnotes:
[1]  I have no idea what the official syntax definition is, but stuff
     like 'from:[email-masked]' seems to work OK.

--